Skip memory clear for boot time reduction. Memory clear is not required for non-ECC boards.

Signed-off-by: Scott Duplichan <scott@notabs.org>

Index: src/mainboard/asrock/e350m1/BiosCallOuts.c
===================================================================
--- src/mainboard/asrock/e350m1/BiosCallOuts.c	(revision 6600)
+++ src/mainboard/asrock/e350m1/BiosCallOuts.c	(working copy)
@@ -512,6 +512,9 @@
       Data8 &= ~(UINT8)BIT6;
       Write64Mem8(GpioMmioAddr+SB_GPIO_REG179, Data8);
   }
+
+  // disable memory clear for boot time reduction
+  MemData->ParameterListPtr->EnableMemClr = FALSE;
   return Status;
 }
 /*  Call the host environment interface to provide a user hook opportunity. */
